Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class Resource

    java.lang.Object
      org.jboss.portal.wsrp.core.Resource

All Implemented Interfaces:
  java.io.Serializable

    public class Resource

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected java.lang.String` | `resourceName`
`protected ResourceValue[]` | `values`

Constructor Summary
`Resource()`
`Resource(java.lang.String resourceName, ResourceValue[] values, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`java.lang.String` | `getResourceName()`
`ResourceValue[]` | `getValues()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setResourceName(java.lang.String resourceName)`
`void` | `setValues(ResourceValue[] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceName

    protected java.lang.String resourceName

### values

    protected ResourceValue[] values

### extensions

    protected Extension[] extensions

Constructor Detail

### Resource

    public Resource()

### Resource

    public Resource(java.lang.String resourceName,
                    ResourceValue[] values,
                    Extension[] extensions)

Method Detail

### getResourceName

    public java.lang.String getResourceName()

### setResourceName

    public void setResourceName(java.lang.String resourceName)

### getValues

    public ResourceValue[] getValues()

### setValues

    public void setValues(ResourceValue[] values)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD